Bug 68274 - Quotas on 7.3 get corrupted after a period of time.
Quotas on 7.3 get corrupted after a period of time.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks: 90914
  Show dependency treegraph
 
Reported: 2002-07-08 15:59 EDT by Mike Gahagan
Modified: 2008-08-01 12:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Gahagan 2002-07-08 15:59:43 EDT
Description of Problem:

Opening bug on this per request of sct. Please see # 68026

Version-Release number of selected component (if applicable):

7.3, 2.4.18-3,4

How Reproducible:

Appears to occur on filesystems with large number of users with quotas enabled.

Steps to Reproduce:
1. Set up a filesystem with a large number of users and quotas. 
2. 
3. 

Actual Results:

Quotas get corrupted over time resulting in failure to access users' quotas
properly. Currently working around this by reseting every users' quotas
periodically in single user mode. This is very timeconsuming when 25000 users
are involved.

Expected Results:

Quotas should not have to be recreated every few weeks :(

Additional Information:

This customer is now using 2.4.18-5smp, but not for long enough to be able to
tell if the problem reoccurs (typically takes 2 weeks and is usually only
noticed after the system crashes) Log entries below from 2.4.18-4smp
	
See also  Bugzilla ID#68026. 

System is a 4CPU mail server w/ 1 GB of RAM and is a mail server for 25000 users
at an ISP. Gets very heavy POP3 traffic in additon to SMTP. The only filesystem
that uses quotas is approximately 100GB mounted on /var/spool/mail. Error
messages relevant to quotas attached below. This is the same system experiencing
the crashes w/ 2.4.18-4SMP and ext3.


Jul  3 00:36:00 mail3 kernel: VFS: Diskquotas version dquot_6.5.0 initialized
Jul  3 00:36:02 mail3 kernel: VFS: Mounted root (ext2 filesystem).
Jul  3 16:49:20 mail3 kernel: VFS: Diskquotas version dquot_6.5.0 initialized
Jul  3 16:49:52 mail3 kernel: VFS: Mounted root (ext2 filesystem).
Jul  3 16:54:51 mail3 kernel: VFS: find_free_dqentry(): Data block full but it
shouldn't.
Jul  3 16:54:51 mail3 kernel: VFS: Error -5 occured while creating quota.
Jul  3 17:01:09 mail3 kernel: VFS: Quota for id 24872 referenced but not present.
Jul  3 17:01:09 mail3 kernel: VFS: Can't read quota structure for id 24872.
Jul  3 17:14:58 mail3 kernel: VFS: Quota for id 24902 referenced but not present.
Jul  3 17:14:58 mail3 kernel: VFS: Can't read quota structure for id 24902.
Comment 1 Kevin Fenzi 2002-07-18 15:00:40 EDT
I see this same problem as well on a dual PIII server. 
RedHat 7.3 - kernel-2.4.18-4. 

Server has 20k pop users. 4GB memory. 100GB mail spool partition on a RAID array. 

sample error messages: 

VFS: Quota for id 25041 referenced but not present.
VFS: Can't read quota structure for id 25041.
VFS: Quota for id 25042 referenced but not present.
VFS: Can't read quota structure for id 25042.
VFS: Quota for id 25053 referenced but not present.
VFS: Can't read quota structure for id 25053.
VFS: Quota for id 25056 referenced but not present.
VFS: Can't read quota structure for id 25056.

It's worth noting that the problem gets worse and worse. At first affects just a
few users, then adds perhaps 50-100 an hour. Users affected show as having No
quota at all. 

resetting users with edquota fixes those users and then new ones are affected. 
Could be related to users getting new mail or removing mail (affecting quota). 

filesystem is ext3.
Comment 2 John Newbigin 2002-07-31 03:59:21 EDT
I am also seeing this problem with RH72 kernel 2.4.9-13smp.  I get the same
error message but not nearly as frequently.  Only about 3 users have been
effected, and only about 5 messages for each user.  The server is still running
but I don't know what is happening with the quotas.
Jul 29 16:01:31 mercury kernel: VFS: Quota for id 801 referenced but not present.
Jul 29 16:01:31 mercury kernel: VFS: Can't read quota structure for id 801.

The machine is a dual PIII with 4Gig of RAM.

I have also found other quota problems with this kernel, sometimes if root does
a chown of a file to a user, the user does not get the quota updated.  This was
not reproducable though...

Also, on a side note, it would be good if there was a way to force a quotacheck
on reboot.  a file called /forcequotacheck or something.  This would be near
trivial to implement and I will make the local changes before I next reboot the
server.
Comment 3 Kevin Fenzi 2002-10-18 15:24:52 EDT
Our affected server has been up for 18 days now with no quota problems. Not sure
if the problem is gone or just harder to trigger. 
We ran the server with the 2.4.18-10 kernel, and it still had problems after a
week or so, but we didn't run quotacheck. 
Once we ran quotacheck and booted into the 2.4.18-10 kernel it's been stable the
last 18 days. 
Does thw 2.4.18-10 kernel have quota fixes? 
It's worth noting that it seems the quota issue is a indicator that the machine
is going to lock up. Once the quota errors appear the machine locks up within a
day or so. 
Happy to provide any additional information.
Comment 4 Mario Lorenz 2003-04-24 05:25:47 EDT
I see the same problem on a 7.2 box, with kernel 2.4.18-27.7.x

and quota-3.01pre9-3. Filesystem is ext3,
Hardware is Athlon XP 1600+, 1GB RAM(ECC), 3Ware 7410 RAID 1,

VFS: find_free_dqentry(): Data block full but it shouldn't.
VFS: Error -5 occured while creating quota.
VFS: Quota for id 50024 referenced but not present.
VFS: Can't read quota structure for id 50024.
VFS: Quota for id 50024 referenced but not present.
VFS: Can't read quota structure for id 50024.
VFS: Inserting already present quota entry (block 9).
VFS: Error -5 occured while creating quota.
VFS: Quota for id 50024 referenced but not present.
VFS: Can't read quota structure for id 50024.
VFS: Quota for id 50024 referenced but not present.
VFS: Can't read quota structure for id 50024.
VFS: Inserting already present quota entry (block 9).
VFS: Error -5 occured while creating quota.
VFS: Inserting already present quota entry (block 9).
VFS: Error -5 occured while creating quota.
VFS: Quota for id 50024 referenced but not present.
VFS: Can't read quota structure for id 50024.
VFS: Quota for id 50024 referenced but not present.
VFS: Can't read quota structure for id 50024.
VFS: Inserting already present quota entry (block 9).
VFS: Error -5 occured while creating quota.
VFS: Inserting already present quota entry (block 9).
VFS: Error -5 occured while creating quota.

#75419 regards the issue CLOSED/ERRATA with an errata for quota
pending QA for release. That was almost half a year ago, whats
the status on that one ?
Comment 5 Petri T. Koistinen 2003-05-17 17:50:17 EDT
More recent quota problems, see bug 90939.
Comment 6 Bugzilla owner 2004-09-30 11:39:44 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.